<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.sipai.ui.TitleLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center_vertical"
                    android:textSize="15sp"
                    android:textColor="@color/black"
                    android:layout_marginLeft="16dp"
                    android:layout_marginRight="16dp"
                    android:text="手动测量点" />

                <TextView
                    android:id="@+id/moudle_patrol_equ_detail_tv_hand"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:padding="5dp"
                    android:text="暂未配置手动测量点"
                    android:visibility="gone" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginRight="16dp">
                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/moudle_patrol_equ_detail_rc_edit_point"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"/>
                </RelativeLayout>

            </LinearLayout>
            <LinearLayout
                android:id="@+id/moudle_patrol_equ_detail_ll_do_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_marginRight="16dp"
                    android:layout_marginBottom="8dp"
                    android:elevation="2dp">
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingTop="4dp"
                        android:paddingBottom="4dp"
                        android:descendantFocusability="blocksDescendants">
                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/moudle_patrol_equ_detail_rc_content"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"/>
                    </RelativeLayout>
                </androidx.cardview.widget.CardView>
            </LinearLayout>

            <LinearLayout
                style="@style/wrap_layout"
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center"
                    android:text="测量点" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.3dp"
                    android:background="@color/gray03" />

                <TextView
                    android:id="@+id/moudle_patrol_equ_detail_tv_auto"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:padding="5dp"
                    android:text="暂未配置测量点"
                    android:visibility="gone" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:descendantFocusability="blocksDescendants">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/moudle_patrol_equ_detail_rc"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:textSize="14sp"
                        android:paddingLeft="8dp"
                        android:text="设备名称:" />

                    <TextView
                        android:id="@+id/moudle_patrol_equ_detail_tv_equipmentname"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3.5"
                        android:textSize="14sp"
                        android:textColor="@color/black"
                        android:gravity="center_vertical|right"
                        android:paddingRight="15dp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:textSize="14sp"
                        android:gravity="center_vertical"
                        android:paddingLeft="8dp"
                        android:text="厂内编号:" />

                    <TextView
                        android:id="@+id/moudle_patrol_equ_detail_tv_equipmentcardid"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3.5"
                        android:textSize="14sp"
                        android:textColor="@color/black"
                        android:gravity="center_vertical|right"
                        android:paddingRight="15dp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:textSize="14sp"
                        android:gravity="center_vertical"
                        android:paddingLeft="8dp"
                        android:text="设备类型:" />

                    <TextView
                        android:id="@+id/moudle_patrol_equ_detail_tv_equipmentclass"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3.5"
                        android:textSize="14sp"
                        android:textColor="@color/black"
                        android:gravity="center_vertical|right"
                        android:paddingRight="15dp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:textSize="14sp"
                        android:gravity="center_vertical"
                        android:paddingLeft="8dp"
                        android:text="设备级别:" />

                    <TextView
                        android:id="@+id/moudle_patrol_equ_detail_tv_equipmentlevel"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3.5"
                        android:textSize="14sp"
                        android:textColor="@color/black"
                        android:gravity="center_vertical|right"
                        android:paddingRight="15dp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:textSize="14sp"
                        android:gravity="center_vertical"
                        android:paddingLeft="8dp"
                        android:text="设备位置:" />

                    <TextView
                        android:id="@+id/moudle_patrol_equ_detail_tv_area"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3.5"
                        android:textSize="14sp"
                        android:textColor="@color/black"
                        android:gravity="center_vertical|right"
                        android:paddingRight="15dp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:textSize="14sp"
                        android:gravity="center_vertical"
                        android:paddingLeft="8dp"
                        android:text="所属厂区:" />

                    <TextView
                        android:id="@+id/moudle_patrol_equ_detail_tv_company"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3.5"
                        android:textSize="14sp"
                        android:textColor="@color/black"
                        android:gravity="center_vertical|right"
                        android:paddingRight="15dp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:textSize="14sp"
                        android:gravity="center_vertical"
                        android:paddingLeft="8dp"
                        android:text="厂商:" />

                    <TextView
                        android:id="@+id/moudle_patrol_equ_detail_tv_equipmentmanufacturer"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3.5"
                        android:textSize="14sp"
                        android:textColor="@color/black"
                        android:gravity="center_vertical|right"
                        android:paddingRight="15dp" />
                </LinearLayout>

                <LinearLayout
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="35dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_vertical"
                        android:paddingLeft="8dp"
                        android:text="设备状态:" />

                    <Spinner
                        android:id="@+id/moudle_patrol_equ_detail_sp_status"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3.5" />
                </LinearLayout>

            </LinearLayout>

            <Button
                android:id="@+id/moudle_patrol_equ_detail_btn_sub"
                android:background="@drawable/bg_layout_shape_btn_blue"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_margin="15dp"
                android:text="提 交"
                android:textColor="@color/white" />
        </LinearLayout>
    </ScrollView>
</LinearLayout>